Print Friendly

# Class YAHOO.ext.LayoutManager

Package: | YAHOO.ext
Class: | LayoutManager
Extends: | Observable
Subclasses: | BorderLayout
Defined In: | LayoutManager.js

Base class for layout managers.

## Public Properties

Property | Defined By
--- | ---
| monitorWindowResize : Boolean | LayoutManager
false to disable window resize monitoring

## Public Methods

Method | Defined By
--- | ---
| addListener(`String eventName`, `Function handler`, [`Object scope`], [`boolean override`]) : void | Observable
Appends an event handler to this component
| beginUpdate() : void | LayoutManager
Suspend the LayoutManager from doing auto-layouts while making multiple add or remove calls
| bufferedListener(`String eventName`, `Function handler`, [`Object scope`], [`Number millis`]) : Function | Observable
Appends an event handler to this component that is buffered. If the event is triggered more than once in the specifie...
| delayedListener(`String eventName`, `Function handler`, [`Object scope`], [`Number delay`]) : Function | Observable
Appends an event handler to this component that is delayed the specified number of milliseconds. This is useful for e...
| endUpdate(`Boolean noLayout`) : void | LayoutManager
Restore auto-layouts and optionally disable the manager from performing a layout
| fireEvent(`String eventName`, `Object... args`) : Boolean | Observable
Fires the specified event with the passed parameters (minus the event name).
| getEl() : YAHOO.ext.Element | LayoutManager
Returns the element this layout is bound to.
| getRegion(`String target`) : YAHOO.ext.LayoutRegion | LayoutManager
Returns the specified region.
| getViewSize() : Object | LayoutManager
Returns the size of the current view, This method normalizes document.body and element embedded layouts and performs ...
| isUpdating() : Boolean | LayoutManager
Returns true if this layout is currently being updated
| on(`String eventName`, `Function handler`, [`Object scope`], [`boolean override`]) : void | Observable
Appends an event handler to this element (shorthand for addListener)
| purgeListeners() : void | Observable
Removes all listeners for this object
| removeListener(`String eventName`, `Function handler`, [`Object scope`]) : void | Observable
Removes a listener

## Public Events

Event | Defined By
--- | ---
| layout : (`YAHOO.ext.LayoutManager this`) | LayoutManager
Fires when a layout is performed.
| regioncollapsed : (`YAHOO.ext.LayoutRegion region`) | LayoutManager
Fires when a region is collapsed.
| regionexpanded : (`YAHOO.ext.LayoutRegion region`) | LayoutManager
Fires when a region is expanded.
| regionresized : (`YAHOO.ext.LayoutRegion region`, `Number newSize`) | LayoutManager
Fires when the user resizes a region.

## Property Details

### monitorWindowResize

`public Boolean monitorWindowResize`
false to disable window resize monitoring
This property is defined by LayoutManager.

## Method Details

### addListener

`public function addListener(`String eventName`, `Function handler`, [`Object scope`], [`boolean override`])`
Appends an event handler to this component
Parameters:

- `eventName` : String
  The type of event to listen for
- `handler` : Function
  The method the event invokes
- `scope` : Object
  (optional) The scope (this object) for the handler
- `override` : boolean
  (optional) If true, scope becomes the scope

Returns:

- `void`

This method is defined by Observable.

### beginUpdate

`public function beginUpdate()`
Suspend the LayoutManager from doing auto-layouts while making multiple add or remove calls
Parameters:

- None.

Returns:

- `void`

This method is defined by LayoutManager.

### bufferedListener

`public function bufferedListener(`String eventName`, `Function handler`, [`Object scope`], [`Number millis`])`
Appends an event handler to this component that is buffered. If the event is triggered more than once in the specified time-frame, only the last one actually fires.
Parameters:

- `eventName` : String
  The type of event to listen for
- `handler` : Function
  The method the event invokes
- `scope` : Object
  (optional) The scope (this object) for the handler
- `millis` : Number
  (optional) The number of milliseconds to buffer (defaults to 250)

Returns:

- `Function`
  The wrapped function that was created (can be used to remove the listener)

This method is defined by Observable.

### delayedListener

`public function delayedListener(`String eventName`, `Function handler`, [`Object scope`], [`Number delay`])`
Appends an event handler to this component that is delayed the specified number of milliseconds. This is useful for events that modify the DOM and need to wait for the browser to catch up.
Parameters:

- `eventName` : String
  The type of event to listen for
- `handler` : Function
  The method the event invokes
- `scope` : Object
  (optional) The scope (this object) for the handler
- `delay` : Number
  (optional) The number of milliseconds to delay (defaults to 1 millisecond)

Returns:

- `Function`
  The wrapped function that was created (can be used to remove the listener)

This method is defined by Observable.

### endUpdate

`public function endUpdate(`Boolean noLayout`)`
Restore auto-layouts and optionally disable the manager from performing a layout
Parameters:

- `noLayout` : Boolean
  true to disable a layout update

Returns:

- `void`

This method is defined by LayoutManager.

### fireEvent

`public function fireEvent(`String eventName`, `Object... args`)`
Fires the specified event with the passed parameters (minus the event name).
Parameters:

- `eventName` : String
- `args` : Object...
  Variable number of parameters are passed to handlers

Returns:

- `Boolean`
  returns false if any of the handlers return false otherwise it returns true

This method is defined by Observable.

### getEl

`public function getEl()`
Returns the element this layout is bound to.
Parameters:

- None.

Returns:

- `YAHOO.ext.Element`

This method is defined by LayoutManager.

### getRegion

`public function getRegion(`String target`)`
Returns the specified region.
Parameters:

- `target` : String
  The region key

Returns:

- `YAHOO.ext.LayoutRegion`

This method is defined by LayoutManager.

### getViewSize

`public function getViewSize()`
Returns the size of the current view, This method normalizes document.body and element embedded layouts and performs box-model adjustments.
Parameters:

- None.

Returns:

- `Object`
  The size as an object {width: (the width), height: (the height)}

This method is defined by LayoutManager.

### isUpdating

`public function isUpdating()`
Returns true if this layout is currently being updated
Parameters:

- None.

Returns:

- `Boolean`

This method is defined by LayoutManager.

### on

`public function on(`String eventName`, `Function handler`, [`Object scope`], [`boolean override`])`
Appends an event handler to this element (shorthand for addListener)
Parameters:

- `eventName` : String
  The type of event to listen for
- `handler` : Function
  The method the event invokes
- `scope` : Object
  (optional) The scope (this object) for the handler
- `override` : boolean
  (optional) If true, scope becomes the scope

Returns:

- `void`

This method is defined by Observable.

### purgeListeners

`public function purgeListeners()`
Removes all listeners for this object
Parameters:

- None.

Returns:

- `void`

This method is defined by Observable.

### removeListener

`public function removeListener(`String eventName`, `Function handler`, [`Object scope`])`
Removes a listener
Parameters:

- `eventName` : String
  The type of event to listen for
- `handler` : Function
  The handler to remove
- `scope` : Object
  (optional) The scope (this object) for the handler

Returns:

- `void`

This method is defined by Observable.

## Event Details

### layout

`public event layout`
Fires when a layout is performed.
Subscribers will be called with the following parameters:

- `this` : YAHOO.ext.LayoutManager

This event is defined by LayoutManager.

### regioncollapsed

`public event regioncollapsed`
Fires when a region is collapsed.
Subscribers will be called with the following parameters:

- `region` : YAHOO.ext.LayoutRegion

This event is defined by LayoutManager.

### regionexpanded

`public event regionexpanded`
Fires when a region is expanded.
Subscribers will be called with the following parameters:

- `region` : YAHOO.ext.LayoutRegion

This event is defined by LayoutManager.

### regionresized

`public event regionresized`
Fires when the user resizes a region.
Subscribers will be called with the following parameters:

- `region` : YAHOO.ext.LayoutRegion
- `newSize` : Number
  The new size (width for east/west, height for north/south)

This event is defined by LayoutManager.

yui-ext - Copyright © 2006 Jack Slocum. | Yahoo! UI - Copyright © 2006 Yahoo! Inc.
All rights reserved.